<template>
  <div>
    <el-dialog
      v-loading="loading"
      :show-close="false"
      :close-on-click-modal="false"
      :visible.sync="isShow"
      :title="curObj.id ? '编辑报备进度' : '更新报备进度'"
      :fullscreen="false"
      width="400px"
      custom-class="xl-dialog"
      center
    >
      <div class="scoped-tips">当前报备进度：<span class="t">{{reportStepStr}}</span></div>
      <base-form ref="ruleForm" class="lib-edit" :data="formData" :is-inline="false" label-width="110px">
        <div slot="footer" style="padding-top: 20px;">
          <el-button class="xl-form-btn t2" @click="close">关 闭</el-button>
          <el-button class="xl-form-btn t1" @click="close('confirm')">确定</el-button>
        </div>
      </base-form>
    </el-dialog>
  </div>
</template>
<script>
import { arrToObj } from '@/utils'
export default {
  components: { },
  mixins,
  props: {
    isShow: Boolean,
    curObj: Object,
    pObj: Object,
  },
  inject: ['parentData'],
  data() {
    return {
      formData: [],
      loading: true,
      cObj: {},
      curEstateObj: {},
    }
  },
  computed: {
    reportStepStr () {
      return arrToObj(this.$dictData.report_step)[this.pObj.report_step]
    }
  },
  watch: {
    isShow: function(val) {
      if (val) {
        this.getDef()
      }
    },
  },
  methods: {
    getDef() {
      let params = { ...this.curObj }
      this.formData = [
        { label: '新报备进度', key: 'report_step', rules: 1, type: 'select', options: this.$dictData.report_step },
        { label: '备注', key: 'remark', type: 'textarea' },
      ]
      this.setDefaultValue(params)
    },
    close(str) {
      if (str === 'confirm') {
        this.$refs['ruleForm'].$refs['baseForm'].validate((valid) => {
          if (valid) {
            const oldform = this.$refs.ruleForm.baseForm
            const newForm = { ...oldform }
            let apiStr = 'admreportstepadd'
            if (this.pObj.id) {
              newForm.id = this.pObj.id
            }
            this.$api.cust[apiStr](newForm).then(data => {
              this.$msgs(newForm.id ? '编辑成功' : '新增成功')
              this.$emit('close', newForm)
            })
          }
        })
      } else {
        this.$emit('close')
        this.setDefaultValue()
      }
    }
  }
}
</script>
<style lang="scss" scoped>
.scoped-tips {
  padding-bottom: 6px;
  text-align: center;
  .t {
    font-size: 18px;
    font-weight: bold;
    color: #0c78b1;
  }
}
</style>
